import numpy as np
import matplotlib.pyplot as plt
import scipy.stats as sc

#Valeurs expérimentales
S=np.array([...,...,...,...,...]) #S en g/L. 
n=np.array([...,...,...,...,...]) #n (sans unité)

# Représentation d'un nuage de points
plt.plot(S,n,'o',color='green')  

# Modélisation du graphique
droite=sc.linregress(S,n) 
coefficient=droite.slope 
print("Coefficient directeur :",coefficient) 
oorigine=droite.intercept   
print("Ordonnée à l'origine :",oorigine)

# Tracé de la droite de régression
n_modele=...*S+...
plt.plot(S,n_modele,color='red')      

# Configuration du graphique
plt.ylim(0,2)
plt.xlabel("...")   
plt.ylabel("...")
plt.title("...")
plt.grid()  

# Affichage
plt.show()
